from google.protobuf.internal import enum_type_wrapper as _enum_type_wrapper
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class ScanType(int, metaclass=_enum_type_wrapper.EnumTypeWrapper):
    __slots__ = ()
    INSECURE: _ClassVar[ScanType]
    SECURE: _ClassVar[ScanType]

class CdnskeyStatus(int, metaclass=_enum_type_wrapper.EnumTypeWrapper):
    __slots__ = ()
    INSECURE_KEY: _ClassVar[CdnskeyStatus]
    INSECURE_EMPTY: _ClassVar[CdnskeyStatus]
    SECURE_KEY: _ClassVar[CdnskeyStatus]
    SECURE_EMPTY: _ClassVar[CdnskeyStatus]
    UNTRUSTWORTHY: _ClassVar[CdnskeyStatus]
    UNKNOWN: _ClassVar[CdnskeyStatus]
    UNRESOLVED: _ClassVar[CdnskeyStatus]
    UNRESOLVED_IP: _ClassVar[CdnskeyStatus]
    INSECURE_SCHEDULED: _ClassVar[CdnskeyStatus]
    INSECURE_SKIPPED: _ClassVar[CdnskeyStatus]
    SECURE_SCHEDULED: _ClassVar[CdnskeyStatus]
    SECURE_SKIPPED: _ClassVar[CdnskeyStatus]
INSECURE: ScanType
SECURE: ScanType
INSECURE_KEY: CdnskeyStatus
INSECURE_EMPTY: CdnskeyStatus
SECURE_KEY: CdnskeyStatus
SECURE_EMPTY: CdnskeyStatus
UNTRUSTWORTHY: CdnskeyStatus
UNKNOWN: CdnskeyStatus
UNRESOLVED: CdnskeyStatus
UNRESOLVED_IP: CdnskeyStatus
INSECURE_SCHEDULED: CdnskeyStatus
INSECURE_SKIPPED: CdnskeyStatus
SECURE_SCHEDULED: CdnskeyStatus
SECURE_SKIPPED: CdnskeyStatus

class DomainUid(_message.Message):
    __slots__ = ("value",)
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class DomainFqdn(_message.Message):
    __slots__ = ("value",)
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class Domain(_message.Message):
    __slots__ = ("uid", "fqdn", "scan_type")
    UID_FIELD_NUMBER: _ClassVar[int]
    FQDN_FIELD_NUMBER: _ClassVar[int]
    SCAN_TYPE_FIELD_NUMBER: _ClassVar[int]
    uid: DomainUid
    fqdn: DomainFqdn
    scan_type: ScanType
    def __init__(self, uid: _Optional[_Union[DomainUid, _Mapping]] = ..., fqdn: _Optional[_Union[DomainFqdn, _Mapping]] = ..., scan_type: _Optional[_Union[ScanType, str]] = ...) -> None: ...

class Nameserver(_message.Message):
    __slots__ = ("value",)
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class WorkerName(_message.Message):
    __slots__ = ("value",)
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class DnskeyFlags(_message.Message):
    __slots__ = ("value",)
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: int
    def __init__(self, value: _Optional[int] = ...) -> None: ...

class DnskeyProto(_message.Message):
    __slots__ = ("value",)
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: int
    def __init__(self, value: _Optional[int] = ...) -> None: ...

class DnskeyAlg(_message.Message):
    __slots__ = ("value",)
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: int
    def __init__(self, value: _Optional[int] = ...) -> None: ...

class DnskeyPublicKey(_message.Message):
    __slots__ = ("value",)
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class IpAddress(_message.Message):
    __slots__ = ("value",)
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class Cdnskey(_message.Message):
    __slots__ = ("status", "flags", "proto", "alg", "public_key")
    STATUS_FIELD_NUMBER: _ClassVar[int]
    FLAGS_FIELD_NUMBER: _ClassVar[int]
    PROTO_FIELD_NUMBER: _ClassVar[int]
    ALG_FIELD_NUMBER: _ClassVar[int]
    PUBLIC_KEY_FIELD_NUMBER: _ClassVar[int]
    status: CdnskeyStatus
    flags: DnskeyFlags
    proto: DnskeyProto
    alg: DnskeyAlg
    public_key: DnskeyPublicKey
    def __init__(self, status: _Optional[_Union[CdnskeyStatus, str]] = ..., flags: _Optional[_Union[DnskeyFlags, _Mapping]] = ..., proto: _Optional[_Union[DnskeyProto, _Mapping]] = ..., alg: _Optional[_Union[DnskeyAlg, _Mapping]] = ..., public_key: _Optional[_Union[DnskeyPublicKey, _Mapping]] = ...) -> None: ...
