from google.protobuf import empty_pb2 as _empty_pb2
from google.protobuf import timestamp_pb2 as _timestamp_pb2
from cdnskey_processor_api import common_types_pb2 as _common_types_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class ScanTask(_message.Message):
    __slots__ = ("domain", "nameservers")
    DOMAIN_FIELD_NUMBER: _ClassVar[int]
    NAMESERVERS_FIELD_NUMBER: _ClassVar[int]
    domain: _common_types_pb2.Domain
    nameservers: _containers.RepeatedCompositeFieldContainer[_common_types_pb2.Nameserver]
    def __init__(self, domain: _Optional[_Union[_common_types_pb2.Domain, _Mapping]] = ..., nameservers: _Optional[_Iterable[_Union[_common_types_pb2.Nameserver, _Mapping]]] = ...) -> None: ...

class ScanTaskCollectionRequest(_message.Message):
    __slots__ = ("items",)
    ITEMS_FIELD_NUMBER: _ClassVar[int]
    items: _containers.RepeatedCompositeFieldContainer[ScanTask]
    def __init__(self, items: _Optional[_Iterable[_Union[ScanTask, _Mapping]]] = ...) -> None: ...

class AcceptableDnskeysRequest(_message.Message):
    __slots__ = ("max_age",)
    MAX_AGE_FIELD_NUMBER: _ClassVar[int]
    max_age: int
    def __init__(self, max_age: _Optional[int] = ...) -> None: ...

class Dnskey(_message.Message):
    __slots__ = ("flags", "proto", "alg", "public_key")
    FLAGS_FIELD_NUMBER: _ClassVar[int]
    PROTO_FIELD_NUMBER: _ClassVar[int]
    ALG_FIELD_NUMBER: _ClassVar[int]
    PUBLIC_KEY_FIELD_NUMBER: _ClassVar[int]
    flags: _common_types_pb2.DnskeyFlags
    proto: _common_types_pb2.DnskeyProto
    alg: _common_types_pb2.DnskeyAlg
    public_key: _common_types_pb2.DnskeyPublicKey
    def __init__(self, flags: _Optional[_Union[_common_types_pb2.DnskeyFlags, _Mapping]] = ..., proto: _Optional[_Union[_common_types_pb2.DnskeyProto, _Mapping]] = ..., alg: _Optional[_Union[_common_types_pb2.DnskeyAlg, _Mapping]] = ..., public_key: _Optional[_Union[_common_types_pb2.DnskeyPublicKey, _Mapping]] = ...) -> None: ...

class AcceptableDnskey(_message.Message):
    __slots__ = ("domain_uid", "domain_fqdn", "dnskey", "task_imported_at")
    DOMAIN_UID_FIELD_NUMBER: _ClassVar[int]
    DOMAIN_FQDN_FIELD_NUMBER: _ClassVar[int]
    DNSKEY_FIELD_NUMBER: _ClassVar[int]
    TASK_IMPORTED_AT_FIELD_NUMBER: _ClassVar[int]
    domain_uid: _common_types_pb2.DomainUid
    domain_fqdn: _common_types_pb2.DomainFqdn
    dnskey: Dnskey
    task_imported_at: _timestamp_pb2.Timestamp
    def __init__(self, domain_uid: _Optional[_Union[_common_types_pb2.DomainUid, _Mapping]] = ..., domain_fqdn: _Optional[_Union[_common_types_pb2.DomainFqdn, _Mapping]] = ..., dnskey: _Optional[_Union[Dnskey, _Mapping]] = ..., task_imported_at: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ...) -> None: ...

class AcceptableDnskeysReply(_message.Message):
    __slots__ = ("data",)
    class Data(_message.Message):
        __slots__ = ("items",)
        ITEMS_FIELD_NUMBER: _ClassVar[int]
        items: _containers.RepeatedCompositeFieldContainer[AcceptableDnskey]
        def __init__(self, items: _Optional[_Iterable[_Union[AcceptableDnskey, _Mapping]]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    data: AcceptableDnskeysReply.Data
    def __init__(self, data: _Optional[_Union[AcceptableDnskeysReply.Data, _Mapping]] = ...) -> None: ...

class AddWorkerRequest(_message.Message):
    __slots__ = ("worker_name",)
    WORKER_NAME_FIELD_NUMBER: _ClassVar[int]
    worker_name: _common_types_pb2.WorkerName
    def __init__(self, worker_name: _Optional[_Union[_common_types_pb2.WorkerName, _Mapping]] = ...) -> None: ...

class RemoveWorkerRequest(_message.Message):
    __slots__ = ("worker_name",)
    WORKER_NAME_FIELD_NUMBER: _ClassVar[int]
    worker_name: _common_types_pb2.WorkerName
    def __init__(self, worker_name: _Optional[_Union[_common_types_pb2.WorkerName, _Mapping]] = ...) -> None: ...
